/*			hmm4.c
 *
 *	Another filter
 *	Truncates lines to 132 characters,
 *	rest of the line is put onto the next line
 *	reads from stdin, output to stdout
 */

#include <stdio.h>

main()
{
	char c;
	int count;

	while (!feof(stdin)) {
		c=getchar();
		if((count++>132) || (c=='\n')) {
			count=0;
			putc('\n',stdout);
			putc('*',stderr);
		} else {
			putc(c,stdout);
		};
	};
}
